Debian Bug report logs - #680826
libtest-www-mechanize-catalyst-perl: FTBFS: tests failed

version graph

Package: src:libtest-www-mechanize-catalyst-perl; Maintainer for src:libtest-www-mechanize-catalyst-perl is Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>;

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Sun, 8 Jul 2012 17:23:20 UTC

Severity: serious

Tags: fixed-upstream, pending, sid, wheezy

Found in version libtest-www-mechanize-catalyst-perl/0.57-1

Done: intrigeri <intrigeri@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#680826; Package src:libtest-www-mechanize-catalyst-perl. (Sun, 08 Jul 2012 17:23:23 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Sun, 08 Jul 2012 17:23:23 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: libtest-www-mechanize-catalyst-perl: FTBFS: tests failed
Date: Sun, 8 Jul 2012 19:11:55 +0200
Source: libtest-www-mechanize-catalyst-perl
Version: 0.57-1
Severity: serious
Tags: wheezy sid
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20120708 qa-ftbfs
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

Relevant part:
> make[2]: Entering directory `/«PKGBUILDDIR»'
> PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0, 'inc', 'blib/lib', 'blib/arch')" t/*.t
> t/auth-test.t ........... ok
> t/cookies.t ............. ok
> # 
> # ###################################################################
> # Starting an external Catalyst HTTP server on port 7357
> # To change the port, please set the TWMC_TEST_PORT env variable.
> # (The server will be automatically shut-down right after the tests).
> # ###################################################################
> t/multi_content_type.t .. ok
> t/pod.t ................. ok
> t/redirect.t ............ ok
> 	(in cleanup) Can't call method "getline" on an undefined value at /usr/share/perl5/HTTP/Message/PSGI.pm line 124.
> Can't call method "request" on an undefined value at /usr/share/perl5/Plack/Test/MockHTTP.pm line 29.
> # Looks like you planned 37 tests but ran 31.
> # Looks like your test exited with 2 just after 31.
> t/simple.t .............. 
> Dubious, test returned 2 (wstat 512, 0x200)
> Failed 6/37 subtests 
> t/two_app.t ............. ok
> t/useragent.t ........... ok
> t/white_label.t ......... ok
> 
> Test Summary Report
> -------------------
> t/simple.t            (Wstat: 512 Tests: 31 Failed: 0)
>   Non-zero exit status: 2
>   Parse errors: Bad plan.  You planned 37 tests but ran 31.
> Files=9, Tests=88,  8 wallclock secs ( 0.05 usr  0.04 sys +  6.51 cusr  0.93 csys =  7.53 CPU)
> Result: FAIL
> Failed 1/9 test programs. 0/88 subtests failed.
> make[2]: *** [test_dynamic] Error 255

The full build log is available from:
   http://people.debian.org/~lucas/logs/2012/07/08/libtest-www-mechanize-catalyst-perl_0.57-1_unstable.log

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on EC2 VM instances from
Amazon Web Services, using a clean, minimal and up-to-date chroot. Every
failed build was retried once to eliminate random failures.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#680826; Package src:libtest-www-mechanize-catalyst-perl. (Mon, 09 Jul 2012 03:33:04 GMT) Full text and rfc822 format available.

Message #8 received at 680826@bugs.debian.org (full text, mbox):

From: Ansgar Burchardt <ansgar@debian.org>
To: 680826@bugs.debian.org
Subject: Re: Bug#680826: libtest-www-mechanize-catalyst-perl: FTBFS: tests failed
Date: Sun, 08 Jul 2012 21:31:34 -0600
Lucas Nussbaum <lucas@lucas-nussbaum.net> writes:
> Source: libtest-www-mechanize-catalyst-perl
> Version: 0.57-1
>
> During a rebuild of all packages in sid, your package failed to build on
> amd64.

The new Catalyst release (5.90015) has this related entry in its
changelog:

  - Fix $c->finalize_headers getting called twice. RT#78090
  - Fix test fails in Catalyst-Plugin-Session-State-Cookie. RT#76179
  - Fix test fails in Catalyst-Plugin-StackTrace
  - Fix test fails in Test-WWW-Mechanize-Catalyst

Ansgar




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#680826; Package src:libtest-www-mechanize-catalyst-perl. (Tue, 10 Jul 2012 02:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Tue, 10 Jul 2012 02:15:04 GMT) Full text and rfc822 format available.

Message #13 received at 680826@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Ansgar Burchardt <ansgar@debian.org>, 680826@bugs.debian.org
Subject: Re: Bug#680826: libtest-www-mechanize-catalyst-perl: FTBFS: tests failed
Date: Mon, 9 Jul 2012 20:10:25 -0600
[Message part 1 (text/plain, inline)]
tag 680826 + fixed-upstream
thanks

On Sun, 08 Jul 2012 21:31:34 -0600, Ansgar Burchardt wrote:

> > Source: libtest-www-mechanize-catalyst-perl
> > Version: 0.57-1
> > During a rebuild of all packages in sid, your package failed to build on
> > amd64.
> The new Catalyst release (5.90015) has this related entry in its
> changelog:
> 
>   - Fix $c->finalize_headers getting called twice. RT#78090
>   - Fix test fails in Catalyst-Plugin-Session-State-Cookie. RT#76179
>   - Fix test fails in Catalyst-Plugin-StackTrace
>   - Fix test fails in Test-WWW-Mechanize-Catalyst

Building against a locally built libcatalyst-perl 5.90015-1 indeed
succeeds.

Cheers,
gregor

-- 
 .''`.  Homepage: http://info.comodo.priv.at/ - OpenPGP key 0xBB3A68018649AA06
 : :' : Debian GNU/Linux user, admin, and developer  -  http://www.debian.org/
 `. `'  Member of VIBE!AT & SPI, fellow of the Free Software Foundation Europe
   `-   
[signature.asc (application/pgp-signature, inline)]

Added tag(s) fixed-upstream. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Tue, 10 Jul 2012 02:15:06 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 680826: 681422 Request was from intrigeri <intrigeri@debian.org> to control@bugs.debian.org. (Fri, 13 Jul 2012 04:33:23 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Thu, 09 Aug 2012 16:51:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#680826; Package src:libtest-www-mechanize-catalyst-perl. (Sun, 14 Oct 2012 12:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil Williams <codehelp@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Sun, 14 Oct 2012 12:09:05 GMT) Full text and rfc822 format available.

Message #24 received at 680826@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: intrigeri@debian.org, 680829@bugs.debian.org, 680819@bugs.debian.org, 680843@bugs.debian.org, 680826@bugs.debian.org
Cc: debian-release@lists.debian.org, debian-perl@lists.debian.org
Subject: Re: Fixing the Catalyst development environment in Wheezy
Date: Sun, 14 Oct 2012 13:07:25 +0100
[Message part 1 (text/plain, inline)]
On Tue, 28 Aug 2012 21:07:24 +0200
intrigeri <intrigeri@debian.org> wrote:

> the Catalyst development environment is seriously broken and currently
> in Debian current testing/sid (to get and idea, see #683656, #680819,
> #680829, #680826, #665222).

Agreed.
 
> We, Debian Perl Group, would like to fix that, and we have been
> working on it during DebCamp and DebConf accordingly. Sorry for the
> delay since then.
> 
> Scope: three currently buggy packages are directly under the radar as
> far as freeze block/unblock decisions are concerned
> (libcatalystx-simplelogin-perl, libcatalyst-actionrole-acl-perl and
> libcatalyst-perl), and a few others are directly concerned due to
> being broken by the versions of libcatalyst-perl currently in testing
> and unstable.

The diffs supplied originally in August are likely to be too large to
be acceptable as unblocks and I've been wondering about an alternative
solution for Wheezy.

An alternative solution would be:

0: RM libcatalystx-simplelogin-perl
libcatalystx-simplelogin-perl |     0.15-1 | source, all
Checking reverse dependencies...
No dependency problem found.

Removal of libcatalystx-simplelogin-perl possible.

Closes: #680829 (Severity: serious)

1: RM libcatalyst-actionrole-acl-perl
libcatalyst-actionrole-acl-perl |     0.06-1 | source, all
Checking reverse dependencies...
# Broken Build-Depends:
libcatalystx-simplelogin-perl: libcatalyst-actionrole-acl-perl

Dependency problem found.

Dependency problem goes away due to 0:

Removal of libcatalyst-actionrole-acl-perl possible.

Closes: #680819 (Severity: serious)

2: RM libcatalyst-view-component-subinclude-perl
libcatalyst-view-component-subinclude-perl |     0.10-1 | source, all
Checking reverse dependencies...
# Broken Depends:
gitalist: gitalist-common

# Broken Build-Depends:
gitalist: libcatalyst-view-component-subinclude-perl (>= 0.07)

Dependency problem found.

gitalist: 
$ rmadison gitalist
 gitalist | 0.003006+dfsg-2 | sid | source
$ bts select source:gitalist severity:grave severity:serious
681435
665223

Removal of libcatalyst-view-component-subinclude-perl possible.

Closes: #680843

3: RM gitalist
gitalist | 0.003006+dfsg-2 | source
gitalist-common | 0.003006+dfsg-2 | all
gitalist-fastcgi | 0.003006+dfsg-2 | all
Checking reverse dependencies...
No dependency problem found.

Closes: #681435
Closes: #665223

Not in testing. Worth removing from unstable?

>     - update libcatalystx-simplelogin-perl to 0.17 (compatibility
>       bugfix -only release)

Instead: RM

>     - update libcatalyst-actionrole-acl-perl to 0.07 (compatibility
>       bugfix -only release)

Instead: RM

+ libcatalyst-view-component-subinclude-perl, possibly remove gitalist
from unstable.

I'll file the three RM bugs against release.debian.org (for removal
from testing only) later today. I haven't decided whether it's worth
removing gitalist at this stage.

The one problematic bug is #680826 in
libtest-www-mechanize-catalyst-perl

libtest-www-mechanize-catalyst-perl |     0.57-1 | source, all
Checking reverse dependencies...
# Broken Depends:
libcatalyst-modules-perl: libcatalyst-modules-perl

# Broken Build-Depends:
gitalist: libtest-www-mechanize-catalyst-perl
libcatalyst-modules-perl: libtest-www-mechanize-catalyst-perl
libcatalyst-plugin-unicode-encoding-perl:
libtest-www-mechanize-catalyst-perl libmojomojo-perl:
libtest-www-mechanize-catalyst-perl

gitalist isn't a problem, libcatalyst-modules-perl and libmojomojo-perl
are problems for fixing #680826.

However, the original email to debian-release did not cover how that
particular bug was to be fixed either.

http://lists.debian.org/debian-release/2012/08/msg01479.html


-- 


Neil Williams
=============
http://www.linux.codehelp.co.uk/

[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#680826; Package src:libtest-www-mechanize-catalyst-perl. (Sun, 14 Oct 2012 14:39:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Sun, 14 Oct 2012 14:39:08 GMT) Full text and rfc822 format available.

Message #29 received at 680826@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Neil Williams <codehelp@debian.org>
Cc: intrigeri@debian.org, 680829@bugs.debian.org, 680819@bugs.debian.org, 680843@bugs.debian.org, 680826@bugs.debian.org, debian-release@lists.debian.org, debian-perl@lists.debian.org
Subject: Re: Fixing the Catalyst development environment in Wheezy
Date: Sun, 14 Oct 2012 16:37:22 +0200
[Message part 1 (text/plain, inline)]
On Sun, 14 Oct 2012 13:07:25 +0100, Neil Williams wrote:

> The diffs supplied originally in August are likely to be too large to
> be acceptable as unblocks and I've been wondering about an alternative
> solution for Wheezy.

Thanks for looking into this; but I'd rather have an opinion from the
release team before we start to remove half of Catalyst from wheezy
(and leaving the other half in a broken state).
 
> The one problematic bug is #680826 in
> libtest-www-mechanize-catalyst-perl

I don't think so ...
 
> gitalist isn't a problem, libcatalyst-modules-perl and libmojomojo-perl
> are problems for fixing #680826.
> 
> However, the original email to debian-release did not cover how that
> particular bug was to be fixed either.
> 
> http://lists.debian.org/debian-release/2012/08/msg01479.html
 
... because it builds fine against the new Catalyst:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=680826#13
(also mentioned in the above mail)

Cheers,
gregor 
 
-- 
 .''`.  Homepage: http://info.comodo.priv.at/ - OpenPGP key 0xBB3A68018649AA06
 : :' : Debian GNU/Linux user, admin, and developer  -  http://www.debian.org/
 `. `'  Member of VIBE!AT & SPI, fellow of the Free Software Foundation Europe
   `-   NP: R.E.M.: All The Way To Reno
[signature.asc (application/pgp-signature, inline)]

Marked Bug as done Request was from intrigeri <intrigeri@debian.org> to control@bugs.debian.org. (Tue, 16 Oct 2012 06:15:05 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Tue, 16 Oct 2012 06:15:06 GMT) Full text and rfc822 format available.

Message sent on to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug#680826. (Tue, 16 Oct 2012 06:15:08 GMT) Full text and rfc822 format available.

Message #36 received at 680826-submitter@bugs.debian.org (full text, mbox):

From: intrigeri <intrigeri@debian.org>
To: control@bugs.debian.org
Cc: 680826-submitter@bugs.debian.org
Subject: closing 680826
Date: Tue, 16 Oct 2012 08:12:56 +0200
close 680826 
thanks

Builds fine now that sid has libcatalyst-perl 5.90015-1,
as expected.




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 13 Nov 2012 07:26:08 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 23:52:04 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.